%define oname NetworkManager-ssh

%bcond_without gtk4

Name:		networkmanager-ssh
Version:	1.2.12
Release:	%mkrel 1
Summary:	NetworkManager VPN plugin for SSH
License:	GPLv2+
Group:		System/Networking
URL:		https://github.com/danfruehauf/NetworkManager-ssh
Source0:	https://github.com/danfruehauf/NetworkManager-ssh/archive/%{version}/%{oname}-%{version}.tar.gz
Patch0:		networkmanager-ssh-sync-git20240117.patch
Patch1:		0001-build-Use-usr-share-metainfo-for-AppData-files.patch
Patch2:		0002-Move-D-Bus-policy-file-to-usr-share-dbus-1-system.d.patch
# Mageia patches:
Patch50:	networkmanager-ssh-linking.patch

BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libnm)
BuildRequires:	pkgconfig(libnma)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(libsecret-1)
%if %{with gtk4}
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(libnma-gtk4)
%endif

Requires:	dbus
Requires:	networkmanager
Requires:	openssh-clients
Requires:	sshpass

%description
This package contains software for integrating VPN capabilities with
the OpenSSH server with NetworkManager.

%package gnome
Summary:	NetworkManager VPN plugin for SSH - GNOME files
Group:		System/Networking
Requires:	%{name}%{?_isa} = %{version}-%{release}
Requires:	gtk+3.0
%if %{with gtk4}
Requires:	gtk4.0
%endif

%description gnome
This package contains software for integrating VPN capabilities with
the OpenSSH server with NetworkManager (GNOME files).

%prep
%autosetup -p1 -n %{oname}-%{version}

%build
autoreconf -fvi
%configure \
        --disable-static \
        --without-libnm-glib \
        --enable-more-warnings \
        %{?with_gtk4:--with-gtk4} \
        --with-dist-version=%{version}-%{release}
%make_build

%install
%make_install

%find_lang %{oname}

%files -f %{oname}.lang
%doc AUTHORS README ChangeLog NEWS
%license COPYING
%{_libdir}/NetworkManager/libnm-vpn-plugin-ssh.so
%{_datadir}/dbus-1/system.d/nm-ssh-service.conf
%{_prefix}/lib/NetworkManager/VPN/nm-ssh-service.name
%{_libexecdir}/nm-ssh-service

%files gnome
%doc AUTHORS README ChangeLog NEWS
%license COPYING
%{_libexecdir}/nm-ssh-auth-dialog
%{_libdir}/NetworkManager/libnm-gtk3-vpn-plugin-ssh-editor.so
%if %{with gtk4}
%{_libdir}/NetworkManager/libnm-gtk4-vpn-plugin-ssh-editor.so
%endif
%{_metainfodir}/network-manager-ssh.metainfo.xml


%changelog
* Sun Feb 25 2024 daviddavid <daviddavid> 1.2.12-1.mga10
+ Revision: 2044282
- initial package networkmanager-ssh

